import { DropdownProps, MenuProps } from 'antd';
import './index.less';
import { TDynamicArrowSize } from '../DynamicArrow';
export interface CommonDropdownProps extends DropdownProps {
    getContainer: string;
    childrenClassName?: string;
    isBorder?: boolean;
    menu?: Omit<MenuProps, 'onClick'>;
    hideDownArrow?: boolean;
    suffixArrowSize?: TDynamicArrowSize;
    /** use 'handleMenuClick' instead of 'onClick' */
    handleMenuClick?: (...args: Parameters<Required<MenuProps>['onClick']>) => void;
}
export default function CommonDropdown({ getContainer, isBorder, childrenClassName, handleMenuClick, children, suffixArrowSize, ...props }: CommonDropdownProps): import("react/jsx-runtime").JSX.Element;
