import { NetworkStatus, TWithdrawInfo } from '@etransfer/types';
import { TokenType } from './chain';
import { TArrivalTimeConfig, TWithdrawInfoSuccess } from '../types/withdraw';
export declare const REMAINING_WITHDRAWAL_QUOTA_TOOLTIP = "Withdrawals are subject to a 24-hour limit, determined by the real-time USD value of the asset. You can withdraw assets up to the available withdrawal limit.";
export declare const AMOUNT_GREATER_THAN_BALANCE_TIP = "The amount exceeds the remaining withdrawal quota. Please consider transferring a smaller amount.";
export declare const ETH_DELAY_WITHDRAWAL_TIP = "Due to Ethereum's high gas price, it's advisable to delay your withdrawal.";
export declare const HOUR_LIMIT_24 = "24-Hour Limit";
export declare const WITHDRAWAL_COMMENT_TIP = "Check if the receiving platform requires you to include a tag/memo. If required, ensure the tag/memo is correct to avoid losing your assets.";
export declare const WITHDRAWAL_COMMENT_CHECK_TIP = "Check that the Comment is correct, otherwise your funds will be lost.";
export declare const NOT_ENOUGH_ELF_FEE = "Not enough ELF for network fee. Please keep enough ELF in your wallet for the fee.";
export declare const INITIAL_WITHDRAW_STATE: {
    currentSymbol: TokenType;
    tokenList: {
        name: string;
        symbol: TokenType;
        icon: string;
        contractAddress: string;
        decimals: number;
    }[];
    currentChainItem: import("../types").IChainMenuItem;
};
export declare const INITIAL_WITHDRAW_INFO: TWithdrawInfo;
export declare const INITIAL_NETWORK: {
    network: string;
    name: string;
    multiConfirm: string;
    multiConfirmTime: string;
    contractAddress: string;
    explorerUrl: string;
    status: NetworkStatus;
};
export declare const INITIAL_WITHDRAW_SUCCESS_CHECK: TWithdrawInfoSuccess;
export declare const ARRIVAL_TIME_CONFIG: Record<string, TArrivalTimeConfig>;
export declare const APPROVE_ELF_FEE = "0.05";
