import { TNetworkItem } from '@etransfer/types';
import { IChainMenuItem } from '../../types';
import { DepositReceiveTokenItem, DepositTokenOptionItem } from '../../components/Deposit/types';
export declare const ETransferDepositActions: {
    initialized: string;
    destroy: string;
    setDepositTokenSymbol: string;
    setDepositTokenList: string;
    setNetworkItem: string;
    setNetworkList: string;
    setReceiveTokenSymbol: string;
    setReceiveTokenList: string;
    setChainItem: string;
    setChainList: string;
    setDepositProcessingCount: string;
};
export interface ETransferDepositState {
    depositTokenSymbol: string;
    depositTokenList?: DepositTokenOptionItem[];
    networkItem?: Partial<TNetworkItem>;
    networkList?: TNetworkItem[];
    receiveTokenSymbol: string;
    receiveTokenList?: DepositReceiveTokenItem[];
    chainItem: IChainMenuItem;
    chainList?: IChainMenuItem[];
    depositProcessingCount?: number;
}
export declare const etransferDepositAction: {
    initialized: {
        type: string;
        actions: (initialized: ETransferDepositState) => {
            type: string;
            payload: {
                initialized: ETransferDepositState;
            } | undefined;
        };
    };
    setDepositTokenSymbol: {
        type: string;
        actions: (symbol: string) => {
            type: string;
            payload: {
                symbol: string;
            } | undefined;
        };
    };
    setDepositTokenList: {
        type: string;
        actions: (list: DepositTokenOptionItem[]) => {
            type: string;
            payload: {
                list: DepositTokenOptionItem[];
            } | undefined;
        };
    };
    setNetworkItem: {
        type: string;
        actions: (network?: Partial<TNetworkItem>) => {
            type: string;
            payload: {
                network: Partial<TNetworkItem> | undefined;
            } | undefined;
        };
    };
    setNetworkList: {
        type: string;
        actions: (list: TNetworkItem[]) => {
            type: string;
            payload: {
                list: TNetworkItem[];
            } | undefined;
        };
    };
    setReceiveTokenSymbol: {
        type: string;
        actions: (symbol: string) => {
            type: string;
            payload: {
                symbol: string;
            } | undefined;
        };
    };
    setReceiveTokenList: {
        type: string;
        actions: (list: DepositReceiveTokenItem[]) => {
            type: string;
            payload: {
                list: DepositReceiveTokenItem[];
            } | undefined;
        };
    };
    setChainItem: {
        type: string;
        actions: (chainItem: IChainMenuItem) => {
            type: string;
            payload: {
                chainItem: IChainMenuItem;
            } | undefined;
        };
    };
    setChainList: {
        type: string;
        actions: (list: IChainMenuItem[]) => {
            type: string;
            payload: {
                list: IChainMenuItem[];
            } | undefined;
        };
    };
    setDepositProcessingCount: {
        type: string;
        actions: (count?: number) => {
            type: string;
            payload: {
                count: number | undefined;
            } | undefined;
        };
    };
    destroy: {
        type: string;
        actions: () => {
            type: string;
            payload: any;
        };
    };
};
