import { TNetworkItem, TTokenItem } from '@etransfer/types';
import { IChainMenuItem } from '../../types';
export declare const ETransferWithdrawActions: {
    initialized: string;
    destroy: string;
    setTokenSymbol: string;
    setTokenList: string;
    setNetworkItem: string;
    setNetworkList: string;
    setChainItem: string;
    setChainList: string;
    setAddress: string;
    setWithdrawProcessingCount: string;
};
export interface ETransferWithdrawState {
    tokenSymbol: string;
    tokenList?: TTokenItem[];
    networkItem?: Partial<TNetworkItem>;
    networkList?: TNetworkItem[];
    chainItem: IChainMenuItem;
    chainList?: IChainMenuItem[];
    address?: string;
    withdrawProcessingCount?: number;
}
export declare const etransferWithdrawAction: {
    initialized: {
        type: string;
        actions: (initialized: ETransferWithdrawState) => {
            type: string;
            payload: {
                initialized: ETransferWithdrawState;
            } | undefined;
        };
    };
    setTokenSymbol: {
        type: string;
        actions: (symbol: string) => {
            type: string;
            payload: {
                symbol: string;
            } | undefined;
        };
    };
    setTokenList: {
        type: string;
        actions: (list: TTokenItem[]) => {
            type: string;
            payload: {
                list: TTokenItem[];
            } | undefined;
        };
    };
    setNetworkItem: {
        type: string;
        actions: (network?: Partial<TNetworkItem>) => {
            type: string;
            payload: {
                network: Partial<TNetworkItem> | undefined;
            } | undefined;
        };
    };
    setNetworkList: {
        type: string;
        actions: (list: TNetworkItem[]) => {
            type: string;
            payload: {
                list: TNetworkItem[];
            } | undefined;
        };
    };
    setChainItem: {
        type: string;
        actions: (chainItem: IChainMenuItem) => {
            type: string;
            payload: {
                chainItem: IChainMenuItem;
            } | undefined;
        };
    };
    setChainList: {
        type: string;
        actions: (list: IChainMenuItem[]) => {
            type: string;
            payload: {
                list: IChainMenuItem[];
            } | undefined;
        };
    };
    setAddress: {
        type: string;
        actions: (address: string | null) => {
            type: string;
            payload: {
                address: string | null;
            } | undefined;
        };
    };
    setWithdrawProcessingCount: {
        type: string;
        actions: (count?: number) => {
            type: string;
            payload: {
                count: number | undefined;
            } | undefined;
        };
    };
    destroy: {
        type: string;
        actions: () => {
            type: string;
            payload: any;
        };
    };
};
