import { DependencyList } from 'react';
/**
 * modified from https://usehooks.com/useDebounce/
 */
export declare function useDebounce<T>(value: T, delay: number): T;
/**
 * that deal with the debounced function.
 */
export declare function useDebounceCallback<T extends (...args: any[]) => any>(callback: T | undefined, deps: DependencyList, delay?: number): (...args: any[]) => Promise<void>;
/**
 * returns the latest value, effectively avoiding the closure problem.
 */
export declare function useLatestRef<T>(value: T): import("react").MutableRefObject<T>;
