import { DependencyList, EffectCallback } from 'react';
/**
 * Within a certain period of time, execute the first triggered function
 */
export declare function useThrottleFirstCallback<T extends (...args: any[]) => any>(callback: T | undefined, deps: DependencyList, delay?: number): (...args: any[]) => any;
/**
 * Within a certain period of time, execute the last triggered function
 */
export declare function useThrottleLatestCallback<T extends (...args: any[]) => any>(callback: T, deps: DependencyList, delay?: number): (...args: any[]) => void;
export declare function useThrottleFirstEffect(effect: EffectCallback, deps?: DependencyList): void;
export declare function useThrottleLatestEffect(effect: EffectCallback, deps?: DependencyList): void;
